Bug 57425 - autoboot.bat need to have correct ramdisk size
autoboot.bat need to have correct ramdisk size
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 00:02 EST by Tom Wzietek
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 16:33:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wzietek 2001-12-12 00:02:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
during installation, right after partitioning and while formatting 
filesystems, the installer exits with signal 11 and asks user to reboot

How reproducible:
Always

Steps to Reproduce:
1. start installation from within DOS by running 'autoboot.bat'
2. let the installer auto-partition or do it manually
3. wait for signal 11 during the formatting stage

Actual Results:
1) partitions auto-created by anaconda:
=======================================
- cannot write inode tables (stuck at 4/36)

errors in log console (alt+f4):
-------------------------------
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5101, limit=4608
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5102, limit=4608
.
.
.
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5103, limit=4608
<4>Error -3 while decomressing!
<4>c026b2d8(-5134040)->c0c8a000(4096)

error in main console (alt+f1):
-------------------------------
"Formatting / filesystem"
"install exited abnormally -- received signal 11"
"sending termination signalls...done"
"sending kill signalls...done"
"disabling swap..."
"/tmp/hda3"
"unmounting filesystems..."
"/mnt/runtime done"
"disabling /dev/loop0"
"/proc/bus/usb done"
"/proc done"
"/dev/pts done"
"/tmp/ramfs done"
"you may safely reboot your system"



2) manual partitioning: > 2GB / ext3
==================================================
errors in log console (alt+f5):
-------------------------------
"Writing inode tables: 4/35"
### freezes ###

error in main console (alt+f1):
-------------------------------
"Formatting / filesystem"
"install exited abnormally -- received signal 11"
"sending termination signalls...done"
"sending kill signalls...done"
"disabling swap..."
"/tmp/hda3"
"unmounting filesystems..."
"/mnt/runtime done"
"disabling /dev/loop0"
"/proc/bus/usb done"
"/proc done"
"/dev/pts done"
"/tmp/ramfs done"
"you may safely reboot your system"



3) manual partitioning <= 2GB / ext3
====================================
- wrote inode tables
- created journal
- wrote superblocks and filesystem accounting information

errors in log console (alt+f5):
-------------------------------
tunefs: error while loading shared libraries: /lib/libc.so.6: cannot read 
file data: Error 21
/usr/sbin/mke2fs: error while loading shared libraries: /lib/libc.so.6: 
cannot read file data: Error 21


errors in log console (alt+f4):
-------------------------------
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5101, limit=4608
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5102, limit=4608
.
.
.
<6>attempt to access beyond end of device
<6>01:01: rw=0, want=5103, limit=4608
<4>Error -3 while decomressing!
<4>c026bba0(-4984736)->c3a7f000(4096)

*** is this exceeded the ramdisk size of 4MB?

error in main console (alt+f1):
-------------------------------
"An error occured trying to format hda2. This problem is serious, and the 
install cannot continue. Press Enter to reboot your system"



4) manual partitioning and filesystem creation (console):
=========================================================
a)
> fdisk /tmp/hda
  (200M swap + ~4.8GB root)
> mke2fs -j /tmp/hda

errors:
-------
"Writing inode tables: done"
"Creating journal (8192 blocks): Segmentation fault"

> fdisk /tmp/hda
"fdisk: error while loading shared libraries: /lib/libc.so.6: cannot read 
file data: Error 21"
> ls
"ls: error while loading shared libraries: /lib/libc.so.6: cannot read 
file data: Error 21"

b)
> fdisk /tmp/hda
  (200M swap + ~4.8GB root)
> mke2fs /tmp/hda

errors:
-------
"Writing inode tables: done"
"Writing superblocks and filesystem accounting information: done"
"Segmentation fault"
> ls
"ls: error while loading shared libraries: /lib/libc.so.6: cannot read 
file data: Error 21"



Additional info:

- installation is performed by copying: autoboot.bat, vmlinuz, initrd.img, 
loadlin.exe onto a newly formatted FAT32 partition and running the batch 
file to launch the installer (no DOS drivers/components loaded)
- installation is to be done over FTP with no CD and no floppy drives
- the system has no hardware incompatibility issues (IBM notebook, i1200 
series), which worked fine using exactly the same method with RedHat Linux 
7.1
- the installer is able to proceed only if there is no need to format 
partitions (used Debian GNU/Linux 3.0 to prepare ext3)
Comment 1 Michael Fulbright 2001-12-18 10:49:24 EST
My first guess is that there is a corrupt image being pulled over ftp.  Have you
checked the md5sum of the files on the ftp server against the original source?
Comment 2 Michael Fulbright 2001-12-18 10:51:29 EST
Looks similar to bug 57379.
Comment 3 Tom Wzietek 2001-12-18 12:24:04 EST
Yes, I did check the MD5 on the files. It was exactly what I suspected in the 
first place as well, but I downloaded the image from 3 different sources and 
they all were the same:

 a60f5711e1dfe711068a7a21493ec305  MD5  VMLINUZ
 5ebdc631b5b89934f38ebb17f5176750  MD5  INITRD.IMG

It's interesting that the "error while decompressing" message pops up.
Comment 4 Jeremy Katz 2002-01-02 15:53:48 EST
If you edit autoboot.bat and add a "ramdisk_size=7198" to the end of the line
(no quotes) does it work?
Comment 5 Tom Wzietek 2002-01-14 04:05:10 EST
After adding the 'ramdisk' parameter everything worked just fine! Is this my 
hardware causing this problem or does the installer not set the correct ram 
disk size?
Comment 6 Michael Fulbright 2002-01-15 16:33:23 EST
It was our fault - sorry for the trouble!
Comment 7 Jeremy Katz 2002-01-15 16:39:24 EST
And autoboot.bat has been fixed for the next release; thanks for the bug report!

Note You need to log in before you can comment on or make changes to this bug.